package com.ruoyi.asset.domain.dto;


import com.ruoyi.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbAssetAdjustmentDTO {
    /** 编号 */
    private Long id;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String[] assetNumber;

    /** 资产原信息，以JSON字符串格式存入提取 */
    @Excel(name = "资产原信息，以JSON字符串格式存入提取")
    private String originalAssetInfo;

    /** 调整原因 */
    @Excel(name = "调整原因")
    private String reason;

    /** 调整单号 */
    @Excel(name = "调整单号")
    private String orderNumber;

    /** 制单人 */
    @Excel(name = "制单人")
    private String preparedBy;

    /** 制单部门 */
    @Excel(name = "制单部门")
    private String preparedDepartment;

    /** 记录状态，0：未提交，1：已提交 */
    @Excel(name = "记录状态，0：未提交，1：已提交")
    private Long recordStatus;
}
