package com.ruoyi.change.controller;

import com.ruoyi.change.domain.dto.TbAssetAllocationDTO;
import com.ruoyi.change.service.ITbAssetAllocationDTOService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

public class TbAssetAllocationDTOController extends BaseController {
    @Autowired
    private ITbAssetAllocationDTOService tbAssetAllocationDTOService;

    /**
     * 查询资产调拨列表
     */
    @PreAuthorize("@ss.hasPermi('change:allocation:list')")
    @GetMapping("/list")
    public TableDataInfo list(TbAssetAllocationDTO tbAssetAllocationDTO)
    {
        startPage();
        List<TbAssetAllocationDTO> list = tbAssetAllocationDTOService.selectTbAssetAllocationList(tbAssetAllocationDTO);
        return getDataTable(list);
    }
}
